> ## Documentation Index
> Fetch the complete documentation index at: https://docs.omnichar.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Verify a license from a local app



## OpenAPI

````yaml /api/openapi.json post /v1/licenses/verify
openapi: 3.1.0
info:
  title: Omnichar API
  version: 0.1.0
  description: Characters, licenses, public license verification and signed webhooks.
servers:
  - url: https://api.omnichar.org
security:
  - bearer: []
paths:
  /v1/licenses/verify:
    post:
      tags:
        - Licenses
      summary: Verify a license from a local app
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                license_id:
                  type: string
                  minLength: 1
                  maxLength: 100
                secret:
                  type: string
                  minLength: 1
                  maxLength: 100
                char_id:
                  type: string
                  format: uuid
                  pattern: >-
                    ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                output:
                  type: string
                  enum:
                    - image
                    - video
                model:
                  type: string
                  minLength: 1
                  maxLength: 80
                  pattern: ^[A-Za-z0-9][A-Za-z0-9 ._:/@+-]*$
                client:
                  type: string
                  minLength: 1
                  maxLength: 40
                  pattern: ^[A-Za-z0-9][A-Za-z0-9 ._:/@+-]*$
                client_version:
                  type: string
                  minLength: 1
                  maxLength: 40
                  pattern: ^[A-Za-z0-9][A-Za-z0-9 ._:/@+-]*$
              required:
                - license_id
                - secret
                - char_id
                - output
                - model
                - client
                - client_version
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    enum:
                      - valid
                  ticket:
                    type: string
                  ttl_seconds:
                    type: integer
                    minimum: -9007199254740991
                    maximum: 9007199254740991
                  valid_until:
                    type: string
                    format: date-time
                    pattern: >-
                      ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$
                  owner_name:
                    type: string
                required:
                  - status
                  - ticket
                  - ttl_seconds
                  - valid_until
                  - owner_name
                additionalProperties: false
        '403':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    enum:
                      - wrong_secret
                      - revoked
                      - expired
                      - not_started
                      - wrong_character
                      - output_not_allowed
                      - limit_reached
                  message:
                    type: string
                required:
                  - status
                  - message
                additionalProperties: false
        '429':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                        enum:
                          - rate_limited
                      message:
                        type: string
                      request_id:
                        type: string
                      requestId:
                        type: string
                    required:
                      - code
                      - message
                      - request_id
                      - requestId
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
components:
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
      description: 'A team key: sk_test_ for sandbox, sk_live_ for production.'

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.